Docs
Runs

Get run logs

Retrieve event logs for a specific run.

GET
/v1/runs/{id}/logs

Authorization

BearerAuth
AuthorizationBearer <token>

API key (csk_live_…)

In: header

Path Parameters

id*string

Run ID

Query Parameters

limit?integer

Maximum number of items to return

Default50
Range1 <= value <= 250
offset?integer

Number of items to skip

Default0
Range0 <= value <= 100000
category?string

Filter by event category

Value in"system" | "git" | "agent" | "filesystem" | "github" | "web" | "mcp" | "error"

Response Body

application/json

application/json

application/json

curl -X GET "https://api.cospec.io/v1/runs/string/logs"
{
  "data": [
    {
      "id": "string",
      "eventType": "string",
      "category": "string",
      "timestamp": "2019-08-24T14:15:22Z",
      "data": {
        "property1": null,
        "property2": null
      }
    }
  ],
  "pagination": {
    "limit": 0,
    "offset": 0,
    "total": 0
  }
}
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "requestId": "string"
}
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "requestId": "string"
}